moExternXmlSettings = {}

function moExternXmlSettings:createExternXml(self, slot, slotName)
	--ls17
	local ls17 = false;
	if not ls17 then return;end;
	if moGuiMiniPdaSlots.values[slot] == nil or moGuiMiniPdaSlots.values[slot].foundObjects == 0 then return;end;
	local xmlType = tostring(slotName);
	local file = MultiOverlayV2.settingsDir.. "extern/".. slotName.. ".xml";
	if not fileExists(file) then createFolder(MultiOverlayV2.settingsDir.. "extern/");end;
	local Xml = createXMLFile("MultiOverlayV2_XML", file, xmlType);	
	local a = 0;
	local xmlNameTag = (xmlType.. ".global(%d)"):format(a);
	setXMLInt(Xml, xmlNameTag.."#slot", tonumber(slot));
	setXMLString(Xml, xmlNameTag.."#language", tostring(MultiOverlayV2.language));
	setXMLInt(Xml, xmlNameTag.."#foundObjects", moGuiMiniPdaSlots.values[slot].foundObjects);
	setXMLBool(Xml, xmlNameTag.."#isWarning", moGuiMiniPdaSlots.values[slot].isWarning);
	setXMLBool(Xml, xmlNameTag.."#seePrice", moGuiMiniPdaSlots.values[slot].seePrice);
	setXMLBool(Xml, xmlNameTag.."#seeSmall", moGuiMiniPdaSlots.values[slot].seeSmall);
	setXMLBool(Xml, xmlNameTag.."#moreInfo", moGuiMiniPdaSlots.values[slot].moreInfo);
	setXMLBool(Xml, xmlNameTag.."#permUpdate", moGuiMiniPdaSlots.values[slot].permUpdate);
	setXMLInt(Xml, xmlNameTag.."#maxProSwitch", moGuiMiniPdaSlots.values[slot].maxProSwitch);
	setXMLBool(Xml, xmlNameTag.."#isOpen", moGuiMiniPdaSlots.values[slot].isOpen);
	local splitObjectsFound = Utils.splitString(" ", moGuiMiniPdaSlots.values[slot].foundObjectsNamen);	
	local slotObjects = moGuiMiniPdaSlots.values[slot].objects;
	for a=1, moGuiMiniPdaSlots.values[slot].foundObjects do				
		local groupNameTag = (xmlNameTag.. ".values(%d)"):format(a-1);
		if slotObjects[splitObjectsFound[a]] ~= nil then			
			local objectTable = slotObjects[splitObjectsFound[a]];
			setXMLInt(Xml, groupNameTag.."#object", a);
			setXMLString(Xml, groupNameTag.."#category", objectTable.category);
			local productivity = string.format("%0.0f", Utils.getNoNil(objectTable.productivity, 0));
			if productivity == "nan" or productivity == "inf" then productivity = 0;end;
			setXMLString(Xml, groupNameTag.."#productivity", tostring(productivity));
			setXMLString(Xml, groupNameTag.."#displayName", tostring(objectTable.displayName));
			setXMLInt(Xml, groupNameTag.."#outputFillTypes", Utils.getNoNil(#objectTable.outputFillTypes, 0));
			setXMLInt(Xml, groupNameTag.."#inputFillTypes", Utils.getNoNil(#objectTable.inputFillTypes, 0));
			setXMLString(Xml, groupNameTag.."#modType", Utils.getNoNil(objectTable.modType, 0));
			setXMLBool(Xml, groupNameTag.."#placeable", Utils.getNoNil(objectTable.placeable, 0));
			setXMLBool(Xml, groupNameTag.."#separated", Utils.getNoNil(objectTable.separated, 0));
			setXMLInt(Xml, groupNameTag.."#length", Utils.getNoNil(objectTable.length, 0));
			setXMLInt(Xml, groupNameTag.."#lengthActive", Utils.getNoNil(objectTable.lengthActive, 0));
			setXMLInt(Xml, groupNameTag.."#lengthNotActive", Utils.getNoNil(objectTable.lengthNotActive, 0));
			for container=1, table.getn(objectTable.outputFillTypes) do									
				if objectTable.outputFillTypes[container] ~= nil then					
					local fillTypeContainerName = tostring(moLanguageXml:getTxt("fillcontainer", nil, "Fillcontainer"));
					local capacity = string.format("%1.0f", Utils.getNoNil(objectTable.outputFillTypes[container].capacity, 0));		
					local fillLevel = string.format("%1.0f", Utils.getNoNil(objectTable.outputFillTypes[container].fillLevel, 0));
					local fillTypeName = tostring(objectTable.outputFillTypes[container].fillTypeName);	
					local lengthFillTypes = Utils.getNoNil(objectTable.outputFillTypes[container].lengthFillTypes, 1); 
					if objectTable.outputFillTypes[container].fillTypeContainerName ~= nil then fillTypeContainerName = tostring(objectTable.outputFillTypes[container].fillTypeContainerName);end;
					local bestPrice = string.format("%.1f", Utils.getNoNil(objectTable.outputFillTypes[container].bestPrice, 0));
					local extraText = Utils.getNoNil(objectTable.outputFillTypes[container].extraText, "");
					local underGroupNameTag = (groupNameTag.. ".outputFillTypes(%d)"):format(container-1);
					setXMLInt(Xml, underGroupNameTag.."#outputFillType", container);
					setXMLString(Xml, underGroupNameTag.."#capacity", capacity);
					setXMLString(Xml, underGroupNameTag.."#fillLevel", fillLevel);
					setXMLString(Xml, underGroupNameTag.."#fillType", fillTypeName);
					setXMLString(Xml, underGroupNameTag.."#fillTypeContainerName", fillTypeContainerName);
					setXMLString(Xml, underGroupNameTag.."#bestPrice", tostring(bestPrice));
					setXMLString(Xml, underGroupNameTag.."#extraText", tostring(extraText));
					setXMLInt(Xml, underGroupNameTag.."#lengthFillType", tonumber(lengthFillTypes));
				end;
			end;
			for container=1, table.getn(objectTable.inputFillTypes) do									
				if objectTable.inputFillTypes[container] ~= nil then					
					local fillTypeContainerName = tostring(moLanguageXml:getTxt("fillcontainer", nil, "Fillcontainer"));
					local capacity = string.format("%1.0f", Utils.getNoNil(objectTable.inputFillTypes[container].capacity, 0));		
					local fillLevel = string.format("%1.0f", Utils.getNoNil(objectTable.inputFillTypes[container].fillLevel, 0));
					local fillTypeName = tostring(objectTable.inputFillTypes[container].fillTypeName);	
					local lengthFillTypes = Utils.getNoNil(objectTable.inputFillTypes[container].lengthFillTypes, 1);					
					if objectTable.inputFillTypes[container].fillTypeContainerName ~= nil then fillTypeContainerName = tostring(objectTable.inputFillTypes[container].fillTypeContainerName);end;
					local underGroupNameTag = (groupNameTag.. ".inputFillTypes(%d)"):format(container-1);
					setXMLInt(Xml, underGroupNameTag.."#inputFillType", container);
					setXMLString(Xml, underGroupNameTag.."#capacity", capacity);
					setXMLString(Xml, underGroupNameTag.."#fillLevel", fillLevel);
					setXMLString(Xml, underGroupNameTag.."#fillType", fillTypeName);
					setXMLString(Xml, underGroupNameTag.."#fillTypeContainerName", fillTypeContainerName);
					setXMLInt(Xml, underGroupNameTag.."#lengthFillType", tonumber(lengthFillTypes));
				end;
			end;
		end;
	end;
	saveXMLFile(Xml);		
	return;
end;