moSetGetArtDesign = {};

function moSetGetArtDesign:searchArtDesign(self)
	local function defaultMiniPdaSlots(original)
		local copy = {}
		for key, value in pairs(original) do
			copy[key] = value
		end
		return copy
	end
	moGeneralSettings.defaultArtDesign = defaultMiniPdaSlots(moGuiMiniPdaSlots);	
	moGeneralSettings.defaultArtDesign.cfgColor1 = moSetGetGui.cfgMenue.color1;
	moGeneralSettings.defaultArtDesign.cfgColor2 = moSetGetGui.cfgMenue.color2;
	moGeneralSettings.defaultArtDesign.cfgColor3 = moSetGetGui.cfgMenue.color3;	
	print(tostring(MultiOverlayV2.metadata.title).. " search artDesign....")	
	local errorArtDesign = "";
	local counter = 0;
	for a=1, moGuiMiniPdaSlots.artDesignMax do
		local artDesignDds = MultiOverlayV2.artDesignDir.. "moArtDesign".. a.. ".dds";
		local artDesignXml = MultiOverlayV2.artDesignDir.. "moArtDesign".. a.. ".xml";
		if fileExists(artDesignDds) and fileExists(artDesignXml) then
			local Xml = loadXMLFile("MultiOverlayV2ArtDesign_XML", artDesignXml, "MultiOverlayV2");
			if getXMLInt(Xml, "MultiOverlayV2.version") == nil or getXMLInt(Xml, "MultiOverlayV2.version") < tonumber(MultiOverlayV2.metadata.versionArtDesign) then
				errorArtDesign = errorArtDesign.. " moArtDesign".. a;				
			else
				counter = counter+1;
				moGuiMiniPdaSlots.artDesignXml[counter] = Xml;				
				local designName = "moArtDesign".. a;
				if string.len(moGuiMiniPdaSlots.artDesignDdsName) > 1 then				
					moGuiMiniPdaSlots.artDesignDdsName = moGuiMiniPdaSlots.artDesignDdsName.. " ".. designName.. ".dds";
				else
					moGuiMiniPdaSlots.artDesignDdsName = designName.. ".dds";
				end;
				if getXMLString(Xml, "MultiOverlayV2.designName") ~= nil then 					
					designName = getXMLString(Xml, "MultiOverlayV2.designName");
				end;
				if string.len(moGuiMiniPdaSlots.artDesignFound) > 1 then 
					moGuiMiniPdaSlots.artDesignFound = moGuiMiniPdaSlots.artDesignFound.. " ".. designName;
				else
					moGuiMiniPdaSlots.artDesignFound = designName;
				end;				
			end;
		end;
	end;
	if string.len(errorArtDesign) > 1 then
		print(" !!!! Incompatible artDesign. View www.modhoster.de for compatible artDesign Packs !!!! (".. errorArtDesign.. " )")
	end;
	if string.len(moGuiMiniPdaSlots.artDesignFound) > 1 then
		print(" found artDesign: ".. moGuiMiniPdaSlots.artDesignFound)
	end;
	if moGuiMiniPdaSlots.artDesign then
		if not string.find(moGuiMiniPdaSlots.artDesignDdsName, moGuiMiniPdaSlots.artDesignFile) then
			moGuiMiniPdaSlots.artDesign = false;
			moGuiMiniPdaSlots.artDesignName = "";
			moGuiMiniPdaSlots.artDesignFile = "";
			print("!!!! WARNING !!!! Found".. tostring(MultiOverlayV2.metadata.title).. " artDesign file error.... loading default artDesign")	
			return;
		end;
		local splitStringDDS = Utils.splitString(" ", moGuiMiniPdaSlots.artDesignDdsName);
		for a=1, table.getn(splitStringDDS) do
			if splitStringDDS[a] ~= nil and string.len(splitStringDDS[a]) > 1 then 
				if tostring(splitStringDDS[a]) == tostring(moGuiMiniPdaSlots.artDesignFile) then
					if moGuiMiniPdaSlots.artDesignXml[a] ~= nil then
						local Xml = moGuiMiniPdaSlots.artDesignXml[a];
						moSetGetArtDesign:loadArtDesign(self, Xml);
						local splitStringArtDesign = Utils.splitString(" ", moGuiMiniPdaSlots.artDesignFound);						
						moGuiMiniPdaSlots.artDesignName = splitStringArtDesign[a];
						print(tostring(MultiOverlayV2.metadata.title).. " load artDesign.... ".. tostring(splitStringArtDesign[a]))
						break;
					end;
				end;
			end;
		end;
	end;
end;

function moSetGetArtDesign:loadArtDesign(self, Xml)
	local rgbh = "";
	if getXMLString(Xml, "MultiOverlayV2.activeColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.activeColor"));
		moGuiMiniPdaSlots.activeColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;	
	if getXMLString(Xml, "MultiOverlayV2.inactiveColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.inactiveColor"));
		moGuiMiniPdaSlots.inactiveColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.siloColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.siloColor"));
		moGuiMiniPdaSlots.siloColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.priceColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.priceColor"));
		moGuiMiniPdaSlots.priceColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.bestPriceColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.bestPriceColor"));
		moGuiMiniPdaSlots.bestPriceColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.demandColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.demandColor"));
		moGuiMiniPdaSlots.demandColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.defaultColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.defaultColor"));
		moGuiMiniPdaSlots.defaultColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.cfgColor1") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.cfgColor1"));
		moSetGetGui.cfgMenue.color1 = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.cfgColor2") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.cfgColor2"));
		moSetGetGui.cfgMenue.color2 = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlayV2.cfgColor3") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.cfgColor3"));
		moSetGetGui.cfgMenue.color3 = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	for a=0, 4 do
		if getXMLString(Xml, "MultiOverlayV2.warningColor".. a) then		
			rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.warningColor".. a));
			moGuiMiniPdaSlots["warningColor".. a] = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};			
		end;
	end;
	if getXMLBool(Xml, "MultiOverlayV2.warningBlink") ~= nil then		
		moGuiMiniPdaSlots.warningBlink = getXMLBool(Xml, "MultiOverlayV2.warningBlink");		
	end;
	if getXMLBool(Xml, "MultiOverlayV2.warningFirst") ~= nil then		
		moGuiMiniPdaSlots.warningFirst = getXMLBool(Xml, "MultiOverlayV2.warningFirst");
	end;
	if getXMLString(Xml, "MultiOverlayV2.lineColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.lineColor"));
		moGuiMiniPdaSlots.lineColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};
		moGuiMiniPdaSlots.lineColorFound = true;
	end;
	if getXMLString(Xml, "MultiOverlayV2.groundColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlayV2.groundColor"));
		moGuiMiniPdaSlots.groundColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};
		moGuiMiniPdaSlots.groundColorFound = true;
	end;	
	if getXMLInt(Xml, "MultiOverlayV2.distanceIn") then
		moGuiMiniPdaSlots.distanceIn = getXMLInt(Xml, "MultiOverlayV2.distanceIn");
		moGuiMiniPdaSlots.distanceInDefault = moGuiMiniPdaSlots.distanceIn;
	else
		moGuiMiniPdaSlots.distanceIn = 0;
		moGuiMiniPdaSlots.distanceInDefault = 0;
	end;
	if getXMLInt(Xml, "MultiOverlayV2.distanceOut") then
		moGuiMiniPdaSlots.distanceOut = getXMLInt(Xml, "MultiOverlayV2.distanceOut");
		moGuiMiniPdaSlots.distanceOutDefault = moGuiMiniPdaSlots.distanceOut;
	else
		moGuiMiniPdaSlots.distanceOut = 0;
		moGuiMiniPdaSlots.distanceOutDefault = 0;
	end;
	if moGuiMiniPdaSlots.distanceIn > 0 and moGuiMiniPdaSlots.distanceOut > 0 then moGuiMiniPdaSlots.distanceOut = 0;moGuiMiniPdaSlots.distanceOutDefault = 0;end;		
end;

function moSetGetArtDesign:loadDefaultArtDesign(self)
	if moGeneralSettings.defaultArtDesign ~= nil then
		moGuiMiniPdaSlots.distanceOut = moGeneralSettings.defaultArtDesign.distanceOut;
		moGuiMiniPdaSlots.distanceIn = moGeneralSettings.defaultArtDesign.distanceIn;		
		if moGuiMiniPdaSlots.distanceInDefault > 0 and moGuiMiniPdaSlots.distanceOutDefault > 0 then moGuiMiniPdaSlots.distanceOutDefault = 0;end;
		if moGuiMiniPdaSlots.distanceIn > 0 and moGuiMiniPdaSlots.distanceOut > 0 then moGuiMiniPdaSlots.distanceOut = 0;end;
		moGuiMiniPdaSlots.distanceOutDefault = moGeneralSettings.defaultArtDesign.distanceOutDefault;
		moGuiMiniPdaSlots.distanceInDefault = moGeneralSettings.defaultArtDesign.distanceInDefault;
		moSetGetGui.cfgMenue.color1 = moGeneralSettings.defaultArtDesign.cfgColor1;
		moSetGetGui.cfgMenue.color2 = moGeneralSettings.defaultArtDesign.cfgColor2;
		moSetGetGui.cfgMenue.color3 = moGeneralSettings.defaultArtDesign.cfgColor3;
		moGuiMiniPdaSlots.warningColor0 = moGeneralSettings.defaultArtDesign.warningColor0;
		moGuiMiniPdaSlots.warningColor1 = moGeneralSettings.defaultArtDesign.warningColor1;
		moGuiMiniPdaSlots.warningColor2 = moGeneralSettings.defaultArtDesign.warningColor2;
		moGuiMiniPdaSlots.warningColor3 = moGeneralSettings.defaultArtDesign.warningColor3;
		moGuiMiniPdaSlots.warningColor4 = moGeneralSettings.defaultArtDesign.warningColor4;
		moGuiMiniPdaSlots.warningBlink = moGeneralSettings.defaultArtDesign.warningBlink;
		moGuiMiniPdaSlots.warningFirst = moGeneralSettings.defaultArtDesign.warningFirst;
		moGuiMiniPdaSlots.groundColor = moGeneralSettings.defaultArtDesign.groundColor;
		moGuiMiniPdaSlots.lineColor = moGeneralSettings.defaultArtDesign.lineColor;
		moGuiMiniPdaSlots.activeColor = moGeneralSettings.defaultArtDesign.activeColor;
		moGuiMiniPdaSlots.inactiveColor = moGeneralSettings.defaultArtDesign.inactiveColor;
		moGuiMiniPdaSlots.siloColor = moGeneralSettings.defaultArtDesign.siloColor;
		moGuiMiniPdaSlots.priceColor = moGeneralSettings.defaultArtDesign.priceColor;
		moGuiMiniPdaSlots.bestPriceColor = moGeneralSettings.defaultArtDesign.bestPriceColor;
		moGuiMiniPdaSlots.demandColor = moGeneralSettings.defaultArtDesign.demandColor;
		moGuiMiniPdaSlots.defaultColor = moGeneralSettings.defaultArtDesign.defaultColor;
	end;
end;